"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var MediaPackageClient_1 = require("./MediaPackageClient");
var CreateChannelCommand_1 = require("./commands/CreateChannelCommand");
var CreateOriginEndpointCommand_1 = require("./commands/CreateOriginEndpointCommand");
var DeleteChannelCommand_1 = require("./commands/DeleteChannelCommand");
var DeleteOriginEndpointCommand_1 = require("./commands/DeleteOriginEndpointCommand");
var DescribeChannelCommand_1 = require("./commands/DescribeChannelCommand");
var DescribeOriginEndpointCommand_1 = require("./commands/DescribeOriginEndpointCommand");
var ListChannelsCommand_1 = require("./commands/ListChannelsCommand");
var ListOriginEndpointsCommand_1 = require("./commands/ListOriginEndpointsCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var RotateChannelCredentialsCommand_1 = require("./commands/RotateChannelCredentialsCommand");
var RotateIngestEndpointCredentialsCommand_1 = require("./commands/RotateIngestEndpointCredentialsCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateChannelCommand_1 = require("./commands/UpdateChannelCommand");
var UpdateOriginEndpointCommand_1 = require("./commands/UpdateOriginEndpointCommand");
var MediaPackage = /** @class */ (function (_super) {
    tslib_1.__extends(MediaPackage, _super);
    function MediaPackage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MediaPackage.prototype.createChannel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateChannelCommand_1.CreateChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.createOriginEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateOriginEndpointCommand_1.CreateOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.deleteChannel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteChannelCommand_1.DeleteChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.deleteOriginEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteOriginEndpointCommand_1.DeleteOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.describeChannel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeChannelCommand_1.DescribeChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.describeOriginEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOriginEndpointCommand_1.DescribeOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.listChannels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListChannelsCommand_1.ListChannelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.listOriginEndpoints = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListOriginEndpointsCommand_1.ListOriginEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.rotateChannelCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RotateChannelCredentialsCommand_1.RotateChannelCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.rotateIngestEndpointCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RotateIngestEndpointCredentialsCommand_1.RotateIngestEndpointCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.updateChannel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateChannelCommand_1.UpdateChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MediaPackage.prototype.updateOriginEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateOriginEndpointCommand_1.UpdateOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return MediaPackage;
}(MediaPackageClient_1.MediaPackageClient));
exports.MediaPackage = MediaPackage;
//# sourceMappingURL=MediaPackage.js.map