"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateChannel_1 = require("../model/operations/CreateChannel");
var CreateChannelCommand = /** @class */ (function () {
    function CreateChannelCommand(input) {
        this.input = input;
        this.model = CreateChannel_1.CreateChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateChannelCommand;
}());
exports.CreateChannelCommand = CreateChannelCommand;
//# sourceMappingURL=CreateChannelCommand.js.map