"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateOriginEndpoint_1 = require("../model/operations/CreateOriginEndpoint");
var CreateOriginEndpointCommand = /** @class */ (function () {
    function CreateOriginEndpointCommand(input) {
        this.input = input;
        this.model = CreateOriginEndpoint_1.CreateOriginEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateOriginEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateOriginEndpointCommand;
}());
exports.CreateOriginEndpointCommand = CreateOriginEndpointCommand;
//# sourceMappingURL=CreateOriginEndpointCommand.js.map