"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteChannel_1 = require("../model/operations/DeleteChannel");
var DeleteChannelCommand = /** @class */ (function () {
    function DeleteChannelCommand(input) {
        this.input = input;
        this.model = DeleteChannel_1.DeleteChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteChannelCommand;
}());
exports.DeleteChannelCommand = DeleteChannelCommand;
//# sourceMappingURL=DeleteChannelCommand.js.map