"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOriginEndpoint_1 = require("../model/operations/DescribeOriginEndpoint");
var DescribeOriginEndpointCommand = /** @class */ (function () {
    function DescribeOriginEndpointCommand(input) {
        this.input = input;
        this.model = DescribeOriginEndpoint_1.DescribeOriginEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOriginEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOriginEndpointCommand;
}());
exports.DescribeOriginEndpointCommand = DescribeOriginEndpointCommand;
//# sourceMappingURL=DescribeOriginEndpointCommand.js.map