"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListOriginEndpoints_1 = require("../model/operations/ListOriginEndpoints");
var ListOriginEndpointsCommand = /** @class */ (function () {
    function ListOriginEndpointsCommand(input) {
        this.input = input;
        this.model = ListOriginEndpoints_1.ListOriginEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListOriginEndpointsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListOriginEndpointsCommand;
}());
exports.ListOriginEndpointsCommand = ListOriginEndpointsCommand;
//# sourceMappingURL=ListOriginEndpointsCommand.js.map