"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RotateChannelCredentials_1 = require("../model/operations/RotateChannelCredentials");
var RotateChannelCredentialsCommand = /** @class */ (function () {
    function RotateChannelCredentialsCommand(input) {
        this.input = input;
        this.model = RotateChannelCredentials_1.RotateChannelCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RotateChannelCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RotateChannelCredentialsCommand;
}());
exports.RotateChannelCredentialsCommand = RotateChannelCredentialsCommand;
//# sourceMappingURL=RotateChannelCredentialsCommand.js.map