"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RotateIngestEndpointCredentials_1 = require("../model/operations/RotateIngestEndpointCredentials");
var RotateIngestEndpointCredentialsCommand = /** @class */ (function () {
    function RotateIngestEndpointCredentialsCommand(input) {
        this.input = input;
        this.model = RotateIngestEndpointCredentials_1.RotateIngestEndpointCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RotateIngestEndpointCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RotateIngestEndpointCredentialsCommand;
}());
exports.RotateIngestEndpointCredentialsCommand = RotateIngestEndpointCredentialsCommand;
//# sourceMappingURL=RotateIngestEndpointCredentialsCommand.js.map