"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateChannel_1 = require("../model/operations/UpdateChannel");
var UpdateChannelCommand = /** @class */ (function () {
    function UpdateChannelCommand(input) {
        this.input = input;
        this.model = UpdateChannel_1.UpdateChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateChannelCommand;
}());
exports.UpdateChannelCommand = UpdateChannelCommand;
//# sourceMappingURL=UpdateChannelCommand.js.map