"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateOriginEndpoint_1 = require("../model/operations/UpdateOriginEndpoint");
var UpdateOriginEndpointCommand = /** @class */ (function () {
    function UpdateOriginEndpointCommand(input) {
        this.input = input;
        this.model = UpdateOriginEndpoint_1.UpdateOriginEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateOriginEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateOriginEndpointCommand;
}());
exports.UpdateOriginEndpointCommand = UpdateOriginEndpointCommand;
//# sourceMappingURL=UpdateOriginEndpointCommand.js.map