"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteChannelInput_1 = require("../shapes/DeleteChannelInput");
var DeleteChannelOutput_1 = require("../shapes/DeleteChannelOutput");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteChannel",
    http: {
        method: "DELETE",
        requestUri: "/channels/{id}"
    },
    input: {
        shape: DeleteChannelInput_1.DeleteChannelInput
    },
    output: {
        shape: DeleteChannelOutput_1.DeleteChannelOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteChannel.js.map