"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteOriginEndpointInput_1 = require("../shapes/DeleteOriginEndpointInput");
var DeleteOriginEndpointOutput_1 = require("../shapes/DeleteOriginEndpointOutput");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteOriginEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteOriginEndpoint",
    http: {
        method: "DELETE",
        requestUri: "/origin_endpoints/{id}"
    },
    input: {
        shape: DeleteOriginEndpointInput_1.DeleteOriginEndpointInput
    },
    output: {
        shape: DeleteOriginEndpointOutput_1.DeleteOriginEndpointOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteOriginEndpoint.js.map