"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeChannelInput_1 = require("../shapes/DescribeChannelInput");
var DescribeChannelOutput_1 = require("../shapes/DescribeChannelOutput");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeChannel",
    http: {
        method: "GET",
        requestUri: "/channels/{id}"
    },
    input: {
        shape: DescribeChannelInput_1.DescribeChannelInput
    },
    output: {
        shape: DescribeChannelOutput_1.DescribeChannelOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DescribeChannel.js.map