"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListChannelsInput_1 = require("../shapes/ListChannelsInput");
var ListChannelsOutput_1 = require("../shapes/ListChannelsOutput");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListChannels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListChannels",
    http: {
        method: "GET",
        requestUri: "/channels"
    },
    input: {
        shape: ListChannelsInput_1.ListChannelsInput
    },
    output: {
        shape: ListChannelsOutput_1.ListChannelsOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListChannels.js.map