"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RotateChannelCredentialsInput_1 = require("../shapes/RotateChannelCredentialsInput");
var RotateChannelCredentialsOutput_1 = require("../shapes/RotateChannelCredentialsOutput");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RotateChannelCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RotateChannelCredentials",
    http: {
        method: "PUT",
        requestUri: "/channels/{id}/credentials"
    },
    input: {
        shape: RotateChannelCredentialsInput_1.RotateChannelCredentialsInput
    },
    output: {
        shape: RotateChannelCredentialsOutput_1.RotateChannelCredentialsOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=RotateChannelCredentials.js.map