"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RotateIngestEndpointCredentialsInput_1 = require("../shapes/RotateIngestEndpointCredentialsInput");
var RotateIngestEndpointCredentialsOutput_1 = require("../shapes/RotateIngestEndpointCredentialsOutput");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RotateIngestEndpointCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RotateIngestEndpointCredentials",
    http: {
        method: "PUT",
        requestUri: "/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentials"
    },
    input: {
        shape: RotateIngestEndpointCredentialsInput_1.RotateIngestEndpointCredentialsInput
    },
    output: {
        shape: RotateIngestEndpointCredentialsOutput_1.RotateIngestEndpointCredentialsOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=RotateIngestEndpointCredentials.js.map